;====================================================================
;                                                                   =
;                         Menu 86 v1.4                              =
;                                                                   =
;   Written By: Morgan Davies                                       =
;   E-mail:     Morgazum85@Juno.com                                 =
;   Date:       November 18, 2002                                   =
;   Size:       146 bytes                                           =
;                                                                   =
;   If you wish to port programs directly from TI-86 Basic, you     =
;will need a menu drawer. This short little program shows how to use=
;both routines. There are two routines because there are two        =
;different looking menus on the TI-86.                              =
;                                                                   =
;====================================================================

#include "ti86asm.inc"

.org _asm_exec_ram 

    nop                             ;no operation so...
    jp Start                        ;relative jump to Start
    .dw 0                           ;type of input
    .dw String1                     ;print string

String1:    .db "Menu86 v1.4",0     ;shell header

Start:
    call _flushallmenus             ;clears all key codes
    call _runindicoff               ;turn off run indicator
    call _clrScrn                   ;clears the screen
    ld hl,String2                   ;string to print
    ld bc,256*58+4                  ;column 5, row 59
    ld (_penCol),bc                 ;loads c into _penCol
                                    ;  and b into _penRow
    call _vputs                     ;print it and return
    call MenuRoutine2               ;goes to MenuRoutine2
    call _getkey                    ;waits for a key to be pressed
    call _clrScrn                   ;clears the screen
    ld hl,String3                   ;string to print
    ld bc,256*58+10                 ;column 10, row 59
    ld (_penCol),bc                 ;loads c into _penCol
                                    ;  and b into _penRow
    call _vputs                     ;print it and return
    call MenuRoutine1               ;goes to MenuRoutine1
    call _getkey                    ;waits for a key to be pressed
    call _homeup                    ;moves cursor to upper left
    ret                             ;return that exits the program

#include "Menu86.asm"

String2: .db "PLACE       TEXT         HERE",0
String3: .db "OR            HERE",0

.end
END